summaryrefslogtreecommitdiffstats
path: root/development/pstack-expect-gdb
diff options
context:
space:
mode:
author Duncan Roe2016-11-22 11:37:31 +0100
committer Willy Sudiarto Raharjo2016-11-26 05:47:24 +0100
commitbd3e6b342b6bb97c22824ea6743746af486125d7 (patch)
tree7405a28b6afc82ecaea4d1a27e0e88f7059757ed /development/pstack-expect-gdb
parent2b812a123c7290d9df54252d0f967ed79d7852f0 (diff)
downloadslackbuilds-bd3e6b342b6bb97c22824ea6743746af486125d7.tar.gz
development/pstack-expect-gdb: Added (print stack traces).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development/pstack-expect-gdb')
-rw-r--r--development/pstack-expect-gdb/README9
-rw-r--r--development/pstack-expect-gdb/pstack-expect-gdb.SlackBuild69
-rw-r--r--development/pstack-expect-gdb/pstack-expect-gdb.info10
-rw-r--r--development/pstack-expect-gdb/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/development/pstack-expect-gdb/README b/development/pstack-expect-gdb/README
new file mode 100644
index 0000000000..a7754a533f
--- /dev/null
+++ b/development/pstack-expect-gdb/README
@@ -0,0 +1,9 @@
+pstack (print stack traces of running processes)
+
+Outputs a backtrace for every thread in each requested PID.
+Frame order within threads can be reversed.
+
+This version of pstack is a bin/sh expect script which runs gdb. As
+such, it should run on any platform which has expect and gdb installed.
+To have expect on a Slackware system, you need to have installed the
+tcl group (even if you are a Perl fanatic ;)
diff --git a/development/pstack-expect-gdb/pstack-expect-gdb.SlackBuild b/development/pstack-expect-gdb/pstack-expect-gdb.SlackBuild
new file mode 100644
index 0000000000..2aaf5bd913
--- /dev/null
+++ b/development/pstack-expect-gdb/pstack-expect-gdb.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for pstack-expect-gdb
+
+# Copyright 2016 Duncan Roe Melbourne, Australia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pstack-expect-gdb
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp -a pstack $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+cp -a pstack.1 $PKG/usr/man/man1
+
+gzip -9 $PKG/usr/man/man1/pstack.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/pstack-expect-gdb/pstack-expect-gdb.info b/development/pstack-expect-gdb/pstack-expect-gdb.info
new file mode 100644
index 0000000000..ab3a0a186f
--- /dev/null
+++ b/development/pstack-expect-gdb/pstack-expect-gdb.info
@@ -0,0 +1,10 @@
+PRGNAM="pstack-expect-gdb"
+VERSION="0.1"
+HOMEPAGE="https://github.com/duncan-roe/pstack-expect-gdb"
+DOWNLOAD="https://github.com/duncan-roe/pstack-expect-gdb/archive/v0.1/pstack-expect-gdb-0.1.tar.gz"
+MD5SUM="1ecebb795289e54fb396cce1b377e77e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Duncan Roe"
+EMAIL="duncan_roe@optusnet.com.au"
diff --git a/development/pstack-expect-gdb/slack-desc b/development/pstack-expect-gdb/slack-desc
new file mode 100644
index 0000000000..30f7d5248c
--- /dev/null
+++ b/development/pstack-expect-gdb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pstack-expect-gdb: pstack (print stack traces of running processes)
+pstack-expect-gdb:
+pstack-expect-gdb: pstack uses expect to run gdb to attach to each process named on
+pstack-expect-gdb: the command line, and output a backtrace for every thread in that
+pstack-expect-gdb: process. One may print threads with thread 1 either first or last.
+pstack-expect-gdb: There are verbose modes for debugging, or just to see how it works.
+pstack-expect-gdb:
+pstack-expect-gdb: Homepage https://github.com/duncan-roe/pstack-expect-gdb
+pstack-expect-gdb:
+pstack-expect-gdb:
+pstack-expect-gdb: